
// source: https://en.cppreference.com/w/c/chrono/timespec_get

#include <stdio.h>
#include <time.h>

int main(void)
{
    struct timespec ts;
    int r=timespec_get(&ts, TIME_UTC);
    printf("timespec_get returns: %d\n", r);
    if(r==0) return 1;
    char buff[100];
    strftime(buff, sizeof(buff), "%D %T", gmtime(&ts.tv_sec));
    printf("Current time: %s.%09ld UTC\n", buff, ts.tv_nsec);
    time_t epoch=0;
    printf("Epoch: %s\n", asctime(gmtime(&epoch)));
}

